	/*  
	
	restore.sql - restore collaboration area related database rows from backup tables
	Copyright 2005 IBM Corporation
	Version 1, August 10, 2005
        (no versions 2,3,4)
	version 5, August 18, 2005

	For a given state of backup tables, this proceudure can be run multiple times with the same effect as 
		running it once (doing so is neither necessary nor recommended of course).

	Use drop_backup_tables.sql and create_backup_tables.sql to re=initialize the backup tables.

	*/


set serveroutput on size 1000000;
set echo off;
set linesize 120
set heading off
set line 10000
set wrap off
set newpage NONE
BEGIN 
  DBMS_OUTPUT.enable(1000000);

  restore_all(clnCoaId);

  DBMS_OUTPUT.Put_Line(' ');
  DBMS_OUTPUT.Put_Line('*********** DONE WITH restore ************************');

  COMMIT; 

END; 
/
